This is a public ticket. Everybody will be able to see its contents. Do not include usernames, passwords or any other sensitive information.
Friday, 23 June 2017 18:06 EEST
 Looks like the plugin is not compatible with php7

Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; plgK2Jsk2 has a deprecated constructor in /home/USER/public_html/cms/plugins/k2/jsk2/jsk2.php on line 15

Is there a fix for this?
Rakesh Mijling
Monday, 26 June 2017 17:16 EEST
Hi there,

Yes it is compatible with PHP 7.

The deprecated methods are not discontinued yet, they will work fine for the foreseeable future.

The notice is displayed because you have set the 'Error reporting' in Global configuration to 'maximum' or 'development' mode.

We will fix this notice in the next version.
Yannis
Support Team
Wednesday, 05 July 2017 14:44 EEST
It is also logged in the error_log

[03-Jul-2017 21:19:28 UTC] PHP Warning: Declaration of SppagebuilderControllerPages::getModel($name = 'Page', $prefix = 'Sppagebuil...') should be compatible with JControllerLegacy::getModel($name = '', $prefix = '', $config = Array) in /home/upper/public_html/cms/administrator/components/com_sppagebuilder/controllers/pages.php on line 13
[03-Jul-2017 21:53:27 UTC] PHP Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; plgUserK2jomsocialuser has a deprecated constructor in
Rakesh Mijling

This website uses cookies so that we can provide you with the best user experience. By clicking "continue" you agree to cookies being used in accordance with our Cookies Policy.

Search